What one page shows now, and why
curl --request GET \
--url https://api.meetdarwin.ai/v1/page_openings/current \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/page_openings/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/page_openings/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "current_opening",
"page": "<string>",
"source": "test",
"headline": "<string>",
"buttons": [
{
"label": "<string>",
"message": "<string>",
"locked": true
}
],
"page_opening": {
"id": "<string>",
"page": "<string>"
},
"experiment": {
"id": "<string>",
"name": "<string>",
"openings": 0
}
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}Experiments
What one page shows now, and why
Requires the experiments:read scope.
GET
/
page_openings
/
current
What one page shows now, and why
curl --request GET \
--url https://api.meetdarwin.ai/v1/page_openings/current \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/page_openings/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/page_openings/current"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "current_opening",
"page": "<string>",
"source": "test",
"headline": "<string>",
"buttons": [
{
"label": "<string>",
"message": "<string>",
"locked": true
}
],
"page_opening": {
"id": "<string>",
"page": "<string>"
},
"experiment": {
"id": "<string>",
"name": "<string>",
"openings": 0
}
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>",
"required_plan": "growth",
"feature": "fit_rules",
"upgrade_url": "<string>"
}Authorizations
A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.
Query Parameters
The page, such as /pricing.
Response
OK
Allowed value:
"current_opening"test: a running test shows one of its openings to each visitor; this is the current one it compares against. page: the page's own opening. site: the site's opening.
Available options:
test, page, site Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes